apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: frontend-applications-ingress
  namespace: wrj
  labels:
    type: frontend
    octopus.control: all-ingress-config-wdd
    app.kubernetes.io/managed-by: octopus-control
    app.kubernetes.io/version: 5.6.0
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    nginx.ingress.kubernetes.io/configuration-snippet: |
      rewrite ^(/visualization)$ $1/ redirect;
spec:
  rules:
    - host: fake-domain.wrj.io
      http:
        paths:
          - path: /?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /supervisionh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-suav-platform-supervisionh5
              servicePort: 9528
          - path: /pangu/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528